# Generated from para_dice-0.6.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name para_dice

Name: rubygem-%{gem_name}
Version: 0.6.1
Release: 1%{?dist}
Summary: Game Board Component - Dice
License: MIT
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(yard) >= 0.8.7.6
# BuildRequires: rubygem(yard) < 0.8.8
# BuildRequires: rubygem(rspec) >= 3.1.0
# BuildRequires: rubygem(rspec) < 3.2
# BuildRequires: rubygem(version) >= 1.0.0
# BuildRequires: rubygem(version) < 1.1
# BuildRequires: rubygem(fuubar) >= 2.0.0
# BuildRequires: rubygem(fuubar) < 2.1
# BuildRequires: rubygem(codeclimate-test-reporter) >= 0.4.1
# BuildRequires: rubygem(codeclimate-test-reporter) < 0.5
# BuildRequires: rubygem(pullreview-coverage)
BuildArch: noarch

%description
A Toolbox to help me build a board game.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%{_bindir}/dice_tests.rb
%exclude %{gem_instdir}/.gitignore
%{gem_instdir}/.pullreview.yml
%exclude %{gem_instdir}/.travis.yml
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/Guardfile
%license %{gem_instdir}/LICENSE.txt
%{gem_instdir}/VERSION
%{gem_instdir}/bin
%{gem_instdir}/data
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/para_dice.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.6.1-1
- Initial package
